Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Portage Question
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
sethjackson
n00b
n00b


Joined: 29 Apr 2005
Posts: 6

PostPosted: Thu May 12, 2005 2:46 pm    Post subject: Portage Question Reply with quote

I have kde 3.3.2 on my system. I do
Code:
emerge --sync
Then
Code:
emerge --update --deep world
However this doesn't update me to kde 3.4 Do I have to do
Code:
ACCEPT_KEYWORDS="~x86" emerge kde
to install it?
Back to top
View user's profile Send private message
justabssplyr
Tux's lil' helper
Tux's lil' helper


Joined: 13 Apr 2004
Posts: 110

PostPosted: Thu May 12, 2005 2:50 pm    Post subject: Reply with quote

while the ACCEPT_KEYWORDS="~x86" method will *work*, its not the preferred method, since portage will try to downgrade the next time you do a emerge -uD world if 3.4 is still masked

the best thing to do is list the packages in /etc/portage/package.keywords (create it if it doesnt exist).

the listings would look like...

kde-base/kdebase ~x86
kde-base/kdeadmin ~x86
kde-base/kdekitchensink ~x86 :lol:

then portage will use the ~x86 packages in the future as well.
Back to top
View user's profile Send private message
Maedhros
Bodhisattva
Bodhisattva


Joined: 14 Apr 2004
Posts: 5511
Location: Durham, UK

PostPosted: Thu May 12, 2005 2:53 pm    Post subject: Reply with quote

Please see https://forums.gentoo.org/viewtopic-t-335187.html.

Moved from Portage & Programming.
_________________
No-one's more important than the earthworm.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum